Ruby: include/ruby/backward.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
backward.h File Reference
`#include "ruby/internal/value.h"`
`#include "ruby/internal/interpreter.h"`
`#include "ruby/backward/2/attributes.h"`

Go to the source code of this file.

## Macros
#define | DECLARE_DEPRECATED_FEATURE(ver, func) NORETURN(ERRORFUNC(("deprecated since "#ver), DEPRECATED(void func(void))))
#define | DECLARE_DEPRECATED_INTERNAL_FEATURE(func) NORETURN(ERRORFUNC(("deprecated internal function"), DEPRECATED(void func(void))))

## Functions
| DECLARE_DEPRECATED_FEATURE (2.2, rb_disable_super)
| DECLARE_DEPRECATED_FEATURE (2.2, rb_enable_super)
| DECLARE_DEPRECATED_FEATURE (2.2, rb_hash_iter_lev)
| DECLARE_DEPRECATED_FEATURE (2.2, rb_hash_ifnone)
| DECLARE_DEPRECATED_FEATURE (2.2, rb_str_associate)
| DECLARE_DEPRECATED_FEATURE (2.2, rb_str_associated)
void | rb_autoload (VALUE, ID, const char *)
| DECLARE_DEPRECATED_FEATURE (2.2, rb_clear_cache)
| DECLARE_DEPRECATED_FEATURE (2.2, rb_frame_pop)
void | rb_frozen_class_p (VALUE)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_exec_end_proc)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_compile_error)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_compile_error_with_enc)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_compile_error_append)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_gc_call_finalizer_at_exit)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_trap_exit)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_struct_ptr)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_clear_trace_func)
| DECLARE_DEPRECATED_INTERNAL_FEATURE (rb_generic_ivar_table)
VALUE | rb_mod_const_missing (VALUE, VALUE)

## Detailed Description

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Definition in file backward.h.

## Macro Definition Documentation

## ◆ DECLARE_DEPRECATED_FEATURE

#define DECLARE_DEPRECATED_FEATURE | ( |  | ver,
|  |  | func
| ) |  | NORETURN(ERRORFUNC(("deprecated since "#ver), DEPRECATED(void func(void))))

Definition at line 15 of file backward.h.

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE

#define DECLARE_DEPRECATED_INTERNAL_FEATURE | ( |  | func | ) | NORETURN(ERRORFUNC(("deprecated internal function"), DEPRECATED(void func(void))))

Definition at line 37 of file backward.h.

## Function Documentation

## ◆ DECLARE_DEPRECATED_FEATURE() [1/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_clear_cache |
| ) |  |

## ◆ DECLARE_DEPRECATED_FEATURE() [2/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_disable_super |
| ) |  |

## ◆ DECLARE_DEPRECATED_FEATURE() [3/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_enable_super |
| ) |  |

## ◆ DECLARE_DEPRECATED_FEATURE() [4/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_frame_pop |
| ) |  |

## ◆ DECLARE_DEPRECATED_FEATURE() [5/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_hash_ifnone |
| ) |  |

## ◆ DECLARE_DEPRECATED_FEATURE() [6/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_hash_iter_lev |
| ) |  |

## ◆ DECLARE_DEPRECATED_FEATURE() [7/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_str_associate |
| ) |  |

## ◆ DECLARE_DEPRECATED_FEATURE() [8/8]

DECLARE_DEPRECATED_FEATURE | ( | 2. | 2,
|  | rb_str_associated |
| ) |  |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [1/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_clear_trace_func |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [2/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_compile_error |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [3/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_compile_error_append |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [4/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_compile_error_with_enc |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [5/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_exec_end_proc |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [6/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_gc_call_finalizer_at_exit |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [7/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_generic_ivar_table |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [8/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_struct_ptr |  | ) |

## ◆ DECLARE_DEPRECATED_INTERNAL_FEATURE() [9/9]

DECLARE_DEPRECATED_INTERNAL_FEATURE | ( | rb_trap_exit |  | ) |

## ◆ rb_autoload()

void rb_autoload | ( | VALUE | mod,
|  | ID | id,
|  | const char * | file
| ) |  |

Definition at line 2149 of file variable.c.

References mod, rb_autoload_str(), rb_eArgError, rb_fstring_cstr, and rb_raise().

## ◆ rb_frozen_class_p()

void rb_frozen_class_p | ( | VALUE |  | ) |

## ◆ rb_mod_const_missing()

VALUE rb_mod_const_missing | ( | VALUE | klass,
|  | VALUE | name
| ) |  |

Definition at line 1960 of file variable.c.

References name, Qnil, rb_vm_pop_cfunc_frame(), and UNREACHABLE_RETURN.